Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.java.browser.dom
Class DOMServiceProvider

    java.lang.Object
      com.sun.java.browser.dom.DOMServiceProvider

    public abstract class DOMServiceProvider

extends Object

Constructor Summary
`DOMServiceProvider()` An empty constructor is provided.

Method Summary
`abstract boolean` | `canHandle(Object obj)` Returns true if the DOMService can determine the association between the obj and the underlying DOM in the browser.
`abstract Document` | `getDocument(Object obj)` Returns the Document object of the DOM.
`abstract DOMImplementation` | `getDOMImplementation()` Returns the DOMImplemenation object of the DOM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMServiceProvider

    public DOMServiceProvider()

  An empty constructor is provided. Implementations should provide a public constructor so that the DOMService can instantiate instances of the implementation class. Application programmers should not be able to directly construct implementation subclasses of this abstract subclass. The only way an application should be able to obtain a reference to a DOMServiceProvider implementation instance is by using the appropriate methods of the DOMService.

Method Detail

### canHandle

    public abstract boolean canHandle(Object obj)

  Returns true if the DOMService can determine the association between the obj and the underlying DOM in the browser.

### getDocument

    public abstract Document getDocument(Object obj)
                                  throws DOMUnsupportedException

  Returns the Document object of the DOM.

  Throws:
    `DOMUnsupportedException`

### getDOMImplementation

    public abstract DOMImplementation getDOMImplementation()

  Returns the DOMImplemenation object of the DOM.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2010, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.